<template lang="pug">
  #app
    top-bar(v-on:showMenu="showMenu" v-if="ifLogin")
    left-menu(v-if="showMenuStatus" v-on:showMenu="showMenu")
    top-tabs
    //- chat-component
    //- tasks-component
    router-view
</template>

<script>
import TopBar from '@/components/top-bar'
import LeftMenu from '@/components/left-menu'
import TopTabs from '@/components/top-tabs'

export default {
  name: 'app',
  components: {
    TopBar,
    LeftMenu,
    // ChatComponent,
    TopTabs
    // TasksComponent
  },
  data () {
    return {
      showMenuStatus: false
    }
  },
  methods: {
    showMenu () {
      this.showMenuStatus = !this.showMenuStatus
    }
  },
  computed: {
    ifLogin () {
      return this.$route.path !== '/login'
    }
  }
}
</script>

<style lang="sass">
  @import 'sass/app'
  #app
    display: flex
    flex-direction: column
</style>
